﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FootNotesPropertyDataSource
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            List<Entity> entities = new List<Entity>();

            Random random = new Random();
            for (int i = 0; i < 30; ++i)
            {
                Entity entity = new Entity()
                {
                    Column1 = random.Next(20, 100),
                    Column2 = random.Next(20, 100),
                    Column3 = random.Next(20, 100),
                    Column4 = random.Next(20, 100),
                    FootNotes = $"FootNote #{i + 1}"
                };

                entities.Add(entity);
            }

            fpSpread1.DataSource = entities;
        }
    }

    public class Entity
    {
        public int Column1 { get; set; }
        public int Column2 { get; set; }
        public int Column3 { get; set; }
        public int Column4 { get; set; }
        public string FootNotes { get; set; }
    }
}
